<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class AdminLoginController extends Controller
{
    public function login(){
        return view('admin.login');
    }

    public function authenticate(Request $request)
    {
        $this->validate($request,[
            'username' => 'required',
            'password' => 'required',
            ]);
    
            $fieldType = filter_var($request->username, FILTER_VALIDATE_EMAIL) ? 'email' : 'username';
            // Attempt to log the admin in
            if(Auth::guard('admin')->attempt(array($fieldType => $request->username, 'password' => $request->password)))
            {
                if (Auth::guard('admin')->user()->status != 1) {
                    $username = Auth::guard('admin')->user()->name;
                    Auth::guard('admin')->logout();
                    return back()->with('error', $username. ' your account is deactivate.');
                }

                return redirect()->intended(route('admin.dashboard'));
            }else {

                return back()->withInput();
            }

    } 
    public function logout()
    {
      Auth::guard('admin')->logout();
      return redirect()->route('admin.login');
    }



















}
