<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Movie;
use App\Models\Banner;
use App\Models\Genre;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;



class BannerController extends Controller
{
    public function bannerList(){
        $banners = Banner::orderBy('id','desc')->get();
        return view('admin.banner.banner')->with(compact('banners'));
    }

    public function bannerAdd(){
        $genres = Genre::orderBy('name')->get();
        return view('admin.banner.bannerAdd')->with(compact('genres'));
    }    
    public function bannerEdit($id){
        $genres = Genre::orderBy('name')->get();
        $banner = Banner::where('id',$id)->first();
        return view('admin.banner.bannerEdit')->with(compact('genres','banner'));
    }


    public function bannerSave(Request $request){
        if ($request->isMethod('post')) {
            $data = $request->all();

            // dd($data);
            $banner = new Banner;

            $image = $request->file('image');
            if($image)
            {
                $image_name= str::random(5);
                $original_extension = $image->getClientOriginalExtension();
                $image_full_name = $image_name.'.'.$original_extension;
                $upload_path = 'assets/img/banner/';
                $image_url = $upload_path.$image_full_name;
                $success = $image->move($upload_path, $image_full_name);
                $img = Image::make($image_url)->resize(520, 420)->save();
                if($success)
                {
                    $banner->image = $image_full_name;
                }
            }

            $banner->name = $data['name'];
            $banner->rating = $data['rating'];
            $banner->year = $data['release_year'];
            $banner->type = $data['type'];
            $banner->category_id = $data['genre'];
            $banner->url = $data['url'];
            $banner->status = 1;

            $banner->save();

            return redirect()->back()->with('success','banner Added Sussefully...');

        }
    }    
    public function bannerUpdate(Request $request,$id){
        if ($request->isMethod('post')) {
            $data = $request->all();

            Banner::where('id',$id)->update([
                'name' => $data['name'],
                'year' => $data['release_year'],
                'rating' => $data['rating'],
                'type' => $data['type'],
                'category_id' => $data['genre'],
                'url' => $data['url'],
                'status' => $data['status']
            ]);



            return redirect()->route('banner.list')->with('success','banner Added Sussefully...');

        }
    }




























}
