<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Movie;
use App\Models\ShowName;
use App\Models\Banner;
use App\Models\TVShow;
use Illuminate\Support\Str;
use Intervention\Image\Facades\Image;
use App\Models\Genre;
use Illuminate\View\View;
use Illuminate\Http\JsonResponse;


class TvShowController extends Controller
{
    public function tvshows(){
        $shows = ShowName::orderBy('id','desc')->get();
        return view('admin.tvshow.tvShowList')->with(compact('shows'));
    }
    public function tvshowAdd(){
        $genres = Genre::orderBy('name')->get();
        return view('admin.tvshow.addtvshow')->with(compact('genres'));
    }    
    
    public function tvshowSave(Request $request){
        if ($request->isMethod('post')) {
            $data = $request->all();
            // dd($data);
            $movie = new ShowName;

            $cover = $request->file('cover');
            if($cover)
            {
                $image_name= str::random(5);
                $original_extension = $cover->getClientOriginalExtension();
                $image_full_name = $image_name.'.'.$original_extension;
                $upload_path = 'assets/img/tvshow/cover/';
                $image_url = $upload_path.$image_full_name;
                $success = $cover->move($upload_path, $image_full_name);
                $img = Image::make($image_url)->resize(190, 270)->save();
                if($success)
                {
                    $movie->cover = $image_full_name;
                }
            }
            $gallery = $request->file('gallery');
            if($gallery)
            {
                $image_name= str::random(5);
                $original_extension = $gallery->getClientOriginalExtension();
                $image_full_name = $image_name.'.'.$original_extension;
                $upload_path = 'assets/img/tvshow/';
                $image_url = $upload_path.$image_full_name;
                $success = $gallery->move($upload_path, $image_full_name);
                $img = Image::make($image_url)->resize(414, 280)->save();
                if($success)
                {
                    $movie->image = $image_full_name;
                }
            }

            // $genre = explode(",",$data['genre']);
            // $genre = explode(", ", implode($request->genre));
            $genre = implode(' ', $request->genre);
            // dd($genre);
            $movie->name = $data['name'];
            $movie->slug = Str::slug($data['name'], '-') ;
            $movie->description = $data['description'];
            $movie->rating = $data['rating'];
            $movie->type = $data['type'];
            $movie->views = rand(40,100);
            $movie->release_date = $data['release_year'];
            $movie->country = $data['country'];
            $movie->genre = $genre;
            $movie->vedio = $data['vedio'];
            $movie->status = 1;

            $movie->save();

            return redirect()->back()->with('success','Blog Added Sussefully...');
        }
    }







    public function tvshowEpisod($id){

        $showinfo = ShowName::where('id',$id)->first();
        $shows = TVShow::orderBy('id','desc')->where('show_id',$id)->get();
        return view('admin.tvshow.episod.showEpisodList')->with(compact('shows','showinfo'));
    }



    public function episodAdd($id){
        $showinfo = ShowName::where('id',$id)->first();
        return view('admin.tvshow.episod.addeoisod')->with(compact('showinfo'));
    }
    public function episodSave(Request $request){
        if ($request->isMethod('post')) {
            $data = $request->all();

            //dd($data);
            $show = new TVShow;

$slug = Str::slug($data['slug'] .'-'. $data['season'] .'-'.  $data['episod'] , '-') ;
//dd($slug);
            
            $gallery = $request->file('gallery');
            if($gallery)
            {
                $image_name= str::random(5);
                $original_extension = $gallery->getClientOriginalExtension();
                $image_full_name = $image_name.'.'.$original_extension;
                $upload_path = 'assets/img/tvshow/';
                $image_url = $upload_path.$image_full_name;
                $success = $gallery->move($upload_path, $image_full_name);
                $img = Image::make($image_url)->resize(414, 280)->save();
                if($success)
                {
                    $show->gallery = $image_full_name;
                }
            }

            $show->show_id = $data['show_id'];
            $show->name = $data['name'];
            $show->slug = $slug;
            $show->description = $data['description'];
            $show->rating = $data['rating'];
            $show->cover = $data['cover'];
            $show->episod = $data['episod'];
            $show->season = $data['season'];
            $show->release_date = $data['release_date'];
            $show->minutes = $data['minutes'];
            $show->agelimit = $data['agelimit'];
            $show->country = $data['country'];
            $show->genre = $data['genre'];
            $show->vedio = $data['vedio'];
            $show->px480 = $data['px480'];
            $show->px720 = $data['px720'];
            $show->px1080 = $data['px1080'];
            $show->px4k = $data['px4k'];
            $show->meta_keywords = $data['meta_keywords'];
            $show->status = 1;

            $show->save();

            return redirect()->back()->with('success','Blog Added Sussefully...');

        }

    }





































}
