<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Movie;
use App\Models\Banner;
use App\Models\Genre;
use App\Models\ContactMessage;
use App\Models\ShowName;
use App\Models\TVShow;
use App\Models\Page;
use Illuminate\Http\JsonResponse;


class IndexController extends Controller
{

    public function index(){
        $banners = Banner::orderBy('id','desc')->get();
        $latestMovies = Movie::orderBy('release_year','desc')->limit(12)->get();
        $genres = Genre::orderBy('name')->get();

        $movies = Movie::orderBy('release_year','desc')->get();
        $hindiMovies = Movie::orderBy('release_year','desc')->where('genre', 2 )->get();

        $tvshows = ShowName::orderBy('release_date','desc')->limit(6)->get();
        $latestEpisods = TVShow::orderBy('id','desc')->limit(6)->get();
        return view('welcome')->with(compact('banners','latestMovies','hindiMovies','tvshows','genres','latestEpisods','movies'));
    }



    public function movieDetails($slug){
        
        
        $details = Movie::where('slug',$slug)->first();
        $views = $details->views;
        Movie::where('slug',$slug)->update([
            'views' => $views + 1 
        ]);

        $movies = Movie::orderBy('release_year','desc')->where('id','!=', $details->id)->limit(6)->get();
        return view('movieDetails')->with(compact('details','movies'));
    }

    public function movies(){
        
        $genres = Genre::orderBy('name')->get();
        $latestMovies = Movie::orderBy('release_year','desc')->paginate(18);

        return view('moviespage')->with(compact('latestMovies','genres'));
    }


    public function byGenre($slug){
        $genre = Genre::where('slug', $slug)->first();

        $genre_id = $genre->id;
        $genres = Genre::orderBy('name')->get();
        
        
        $movies = Movie::where('genre',$genre_id)->paginate(18);
        
        return view('byGenre')->with(compact('movies','genre','genres'));
    }


    public function tvshows(){
        
        $genres = Genre::orderBy('name')->get();
        $latestShows = ShowName::orderBy('release_date','desc')->where('type',1)->paginate(18);

        return view('tv_shows')->with(compact('latestShows','genres'));
    }    
    
    public function anime(){
        
        $genres = Genre::orderBy('name')->get();
        $latestShows = ShowName::orderBy('release_date','desc')->where('type',2)->paginate(6);

        return view('anime.animepage')->with(compact('latestShows','genres'));
    }

    // public function tvshowDetails($slug){
        
    //     $show = ShowName::where('slug',$slug)->first();
        
    //     $latestShows = ShowName::orderBy('release_date','desc')->paginate(6);

    //     return view('tv_shows')->with(compact('latestShows','genres'));
    // }


    public function tvshowDetails($slug){


        $genres = Genre::orderBy('name')->get();
        $show = ShowName::where('slug',$slug)->first();
        $latestShows = ShowName::orderBy('release_date','desc')->limit(6)->get();
        $episods = TVShow::where('show_id',$show->id)->get();

        return view('tvshows.tvshowDetails')->with(compact('show','genres','episods','latestShows'));
    }
    public function tvshowepisodes($slug){

        $genres = Genre::orderBy('name')->get();
        $show = TVShow::where('slug',$slug)->first();
        $latestShows = ShowName::orderBy('release_date','desc')->limit(6)->get();
        $episods = TVShow::where('show_id',$show->show_id)->get();

        return view('tvshows.episods')->with(compact('show','genres','episods','latestShows'));
    }

    public function contact(){
        return view('contactpage');
    }
    public function savemessage(Request $request){
        if ($request->isMethod('post')) {

            $data = $request->all();
            $msg = new ContactMessage;

            $msg->name = $data['name'];
            $msg->email = $data['email'];
            $msg->subject = $data['subject'];
            $msg->message = $data['message'];
            $msg->save();

            return back();
        }
    }


    public function autocomplete(Request $request)
    {   
        $fineWord = $request->get('term');
        $data = Movie::where('name', 'LIKE', '%'. $fineWord . '%')->get();
                    
        return view('searchpage')->with(compact('data','fineWord'));
    }

    public function pagedetails($slug){
        $page = Page::where('slug',$slug)->first();
        return view('page')->with(compact('page'));
    }



    public function sitemap(){
        $site = 'https://flimzzy.com/';
        $movies = Movie::get();
        $tvshows =  ShowName::get();
        $episods = TVShow::get();
        $genres = Genre::orderBy('name')->get();
        $pages = Page::get();
        return view('sitemap')->with(compact('movies','tvshows','episods','genres','pages','site'));
    }













}
