<?php

namespace App\Http\Controllers;

use App\Models\Notification;
use App\Models\Sociallink;
use App\Models\User;
use Brian2694\Toastr\Facades\Toastr;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Str;
use Laravel\Socialite\Facades\Socialite;
use App\Providers\RouteServiceProvider;


class SocialLoginController extends Controller
{

    //redirect provider
    public function redirectToGoogle()
    {
       return Socialite::driver('google')->redirect();
    }

    //handle Provider Callback response
    public function handleProviderCallback()
    {

        $socialUser = Socialite::driver('google')->stateless()->user();
           
  
        // check if they're an existing user
        $existingUser = User::where('provider_id', $socialUser->id)->first();

        if($existingUser){
            // log them in
            auth()->login($existingUser, true);
        } else {
            // create a new user
            $newUser                  = new User();
            $newUser->name            = $socialUser->name;
            $newUser->username        = Str::slug($socialUser->name);
            $newUser->email           = $socialUser->email;
            //$newUser->phato           = $socialUser->avatar;
            //$newUser->role_id           = 1;
            $newUser->email_verified_at = now();
            //$newUser->provider    = $provider;
            $newUser->provider_id     = $socialUser->id;
            $success = $newUser->save();

        }

            return redirect()->intended(route('home.index'));


    }
}
