@extends('layouts.admin.master')
@section('content')
<main class="main">
    <div class="container-fluid">
        <div class="row">
            <!-- main title -->
            <div class="col-12">
                <div class="main__title">
                    <h2>Add new Banner</h2>
                </div>
            </div>
            <!-- end main title -->

            <!-- form -->
            <div class="col-12">
                <form action="{{ route('banner.save') }}" method="POST" class="form" enctype="multipart/form-data" >@csrf
                    <div class="row">
                        <div class="col-12 col-md-5 form__cover">
                            <div class="row">
                                <div class="col-12 col-sm-6 col-md-12">
                                    <div class="form__img">
                                        <label for="form__img-upload">Upload cover (520 x 420)</label>
                                        <input id="form__img-upload" required="" name="image" type="file" accept=".png, .jpg, .jpeg">
                                        <img id="form__img" src="#" alt=" ">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-12 col-md-7 form__content">
                            <div class="row">
                                <div class="col-12">
                                    <div class="form__group">
                                        <input type="text" name="name" class="form__input" required="" placeholder="Title">
                                    </div>
                                </div>

                                <div class="col-12 col-sm-6 col-lg-3">
                                    <div class="form__group">
                                        <input type="text" class="form__input" name="rating" required="" placeholder="Rating">
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6 col-lg-3">
                                    <div class="form__group">
                                        <input type="text" class="form__input" name="release_year" required="" placeholder="Release year">
                                    </div>
                                </div>


                                <div class="col-12 col-lg-6">
                                    <div class="form__group">
                                        <select class="js-example-basic-multiple select2-hidden-accessible" name="genre" id="genre" multiple="" data-select2-id="genre" tabindex="-1" aria-hidden="true">
                                           @foreach ($genres as $item)
                                           <option value="{{ $item->name }}">{{ $item->name }}</option>
                                           @endforeach
                                            
                                           
                                        </select>
                                        {{-- <span class="select2 select2-container select2-container--default" dir="ltr" data-select2-id="5" style="width: 134.988px;"><span class="selection"><span class="select2-selection select2-selection--multiple" role="combobox" aria-haspopup="true" aria-expanded="false" tabindex="-1" aria-disabled="false"><ul class="select2-selection__rendered"><li class="select2-search select2-search--inline"><input class="select2-search__field" type="search" tabindex="0" autocomplete="off" autocorrect="off" autocapitalize="none" spellcheck="false" role="searchbox" aria-autocomplete="list" placeholder="Choose genre / genres" style="width: 327.4px;"></li></ul></span></span><span class="dropdown-wrapper" aria-hidden="true"></span></span> --}}
                                    </div>
                                </div>

                                <div class="col-12 col-sm-12 col-lg-12">
                                    <div class="form__group">
                                        <input type="text" class="form__input" required="" name="url" placeholder="Video Link">
                                    </div>
                                </div>
                                <div class="col-12 col-sm-12 col-lg-12">
                                    <ul class="form__radio">
                                        <li>
                                            <span>Item type:</span>
                                        </li>
                                        <li>
                                            <input id="type1" type="radio" name="type" value="1" checked="">
                                            <label for="type1">Movie</label>
                                        </li>
                                        <li>
                                            <input id="type2" type="radio" value="2" name="type">
                                            <label for="type2">TV Show</label>
                                        </li><li>
                                            <input id="type2" type="radio" value="3" name="type">
                                            <label for="type2">Anime</label>
                                        </li>
                                    </ul>
                                </div>
                                
                            </div>
                        </div>
                        
                        <div class="col-12">
                            <div class="row">
                                <div class="col-12">
                                    <button type="submit" class="form__btn">publish</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <!-- end form -->
        </div>
    </div>
</main>
@endsection
@section('scripts')
<script src="//cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>

<script type="text/javascript">

    $(document).ready(function() {

       $('.ckeditor').ckeditor();

    });

</script>


@endsection