@section('seo')

<title>Anime | FlimzzY </title>
<meta name="keywords" content="Anime" />
<meta name="description" content="Anime">
<meta name="image" content="{{asset('assets/img/7445.jpg')}}">
<!-- Schema.org for Google -->
<meta itemprop="name" content="Anime | FlimzzY">
<meta itemprop="description" content="Anime">
<meta itemprop="image" content="{{asset('assets/img/7445.jpg')}}">


@endsection
@extends('layouts.web.master')
@section('content')
<section class="section section--head">
    <div class="container">
        <div class="row">
            <div class="col-12 col-xl-6">
                <h1 class="section__title section__title--head">Anime</h1>
            </div>

            <div class="col-12 col-xl-6">
                <ul class="breadcrumb">
                    <li class="breadcrumb__item"><a href="{{ url('/') }}">Home</a></li>
                    <li class="breadcrumb__item"><a href="{{ url('/anime') }}">Anime</a></li>
                </ul>
            </div>
        </div>
    </div>
</section>

<div class="catalog catalog--page">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="catalog__nav">
                    <div class="catalog__select-wrap">
                        
                        <select class="catalog__select select2-hidden-accessible" name="genres" data-select2-id="select2-data-1-zjs9" tabindex="-1" aria-hidden="true">
                            <option value="" selected>Watch By Genre</option>
                          @foreach($genres as $genre)
                            
                            <option href="{{ url('/genre/'.$genre->slug) }}"><a href="{{ url('/genre/'.$genre->slug) }}">{{ $genre->name }}</a> </option>
                          @endforeach
                        </select>

                    </div>

                    <div class="slider-radio">
                        <input type="radio" name="grade" id="featured" checked="checked"><label for="featured" style="">Featured</label>
                        <input type="radio" name="grade" id="popular"><label for="popular">Popular</label>
                        <input type="radio" name="grade" id="newest"><label for="newest">Newest</label>
                    <div class="sliding-piece" style="position: absolute; transition: width 0.2s ease 0s, height 0.2s ease 0s, top 0.2s ease 0s, left 0.2s ease 0s; opacity: 0; left: 5px; top: 5px; width: 76.0375px; height: 30px;"></div></div>
                </div>
            
                <div class="row row--grid">
                    @foreach($latestShows as $movie)
                    <div class="col-6 col-sm-4 col-lg-3 col-xl-2">
                        <div class="card">
                            <a class="card__cover" href="{{ route('home.tvshowdetail',$movie->slug) }}">
                                <img src="{{ asset('assets/img/tvshow/cover/'.$movie->cover) }}" alt="{{ $movie->name }}">
                                <svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M11 1C16.5228 1 21 5.47716 21 11C21 16.5228 16.5228 21 11 21C5.47716 21 1 16.5228 1 11C1 5.47716 5.47716 1 11 1Z" stroke-linecap="round" stroke-linejoin="round"></path><path fill-rule="evenodd" clip-rule="evenodd" d="M14.0501 11.4669C13.3211 12.2529 11.3371 13.5829 10.3221 14.0099C10.1601 14.0779 9.74711 14.2219 9.65811 14.2239C9.46911 14.2299 9.28711 14.1239 9.19911 13.9539C9.16511 13.8879 9.06511 13.4569 9.03311 13.2649C8.93811 12.6809 8.88911 11.7739 8.89011 10.8619C8.88911 9.90489 8.94211 8.95489 9.04811 8.37689C9.07611 8.22089 9.15811 7.86189 9.18211 7.80389C9.22711 7.69589 9.30911 7.61089 9.40811 7.55789C9.48411 7.51689 9.57111 7.49489 9.65811 7.49789C9.74711 7.49989 10.1091 7.62689 10.2331 7.67589C11.2111 8.05589 13.2801 9.43389 14.0401 10.2439C14.1081 10.3169 14.2951 10.5129 14.3261 10.5529C14.3971 10.6429 14.4321 10.7519 14.4321 10.8619C14.4321 10.9639 14.4011 11.0679 14.3371 11.1549C14.3041 11.1999 14.1131 11.3999 14.0501 11.4669Z" stroke-linecap="round" stroke-linejoin="round"></path></svg>
                            </a>
                            <button class="card__add" type="button"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M16,2H8A3,3,0,0,0,5,5V21a1,1,0,0,0,.5.87,1,1,0,0,0,1,0L12,18.69l5.5,3.18A1,1,0,0,0,18,22a1,1,0,0,0,.5-.13A1,1,0,0,0,19,21V5A3,3,0,0,0,16,2Zm1,17.27-4.5-2.6a1,1,0,0,0-1,0L7,19.27V5A1,1,0,0,1,8,4h8a1,1,0,0,1,1,1Z"></path></svg></button>
                            <span class="card__rating"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M22,9.67A1,1,0,0,0,21.14,9l-5.69-.83L12.9,3a1,1,0,0,0-1.8,0L8.55,8.16,2.86,9a1,1,0,0,0-.81.68,1,1,0,0,0,.25,1l4.13,4-1,5.68A1,1,0,0,0,6.9,21.44L12,18.77l5.1,2.67a.93.93,0,0,0,.46.12,1,1,0,0,0,.59-.19,1,1,0,0,0,.4-1l-1-5.68,4.13-4A1,1,0,0,0,22,9.67Zm-6.15,4a1,1,0,0,0-.29.88l.72,4.2-3.76-2a1.06,1.06,0,0,0-.94,0l-3.76,2,.72-4.2a1,1,0,0,0-.29-.88l-3-3,4.21-.61a1,1,0,0,0,.76-.55L12,5.7l1.88,3.82a1,1,0,0,0,.76.55l4.21.61Z"></path></svg>{{ $movie->rating }}</span>
                            <h3 class="card__title"><a href="{{ route('home.tvshowdetail',$movie->slug) }}">{{ $movie->name }}</a></h3>
                            <ul class="card__list">
                                <li>{{ $movie->country }}</li><li>{{ Carbon\Carbon::parse($movie->release_year)->format('Y') }}</li>
                            </ul>
                        </div>
                        
                    </div>
                    @endforeach
                    
                  
                </div>
                
            </div>
        </div>		
        <div class="row">
            <div class="col-12 catalog__more">
                {{ $latestShows->links() }}
            </div>
        </div>
        
    </div>


</div>


@endsection
